-- Lampovo Project ^ω^ Average Enjoyer

WheelXMLObject.setXMLLoadKey = Utils.appendedFunction(WheelXMLObject.setXMLLoadKey, function (self, key)
	if self.externalFilename ~= nil and Utils.getModNameAndBaseDirectory(self.xmlFile.filename) ~= nil then

		local function getDirectory(path)
			path = path:gsub("\\", "/")
			local elems = path:split("/")
		
			if #elems >= 3 then
				return table.concat(elems, "/", 1, 3)
			end
		
			return path
		end

		if getDirectory(self.externalFilename) ~= "data/shared/wheels" then
			local oldPath = self.externalFilename
			local modName, baseDirectory = Utils.getModNameAndBaseDirectory(self.xmlFile.filename)
			self.externalFilename = baseDirectory .. self.externalFilename
		end
	end
end)